--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Draw a rectangle. The first corner is <tt>(x, y)</tt> and the second corner is <tt>(x + w, y - h)</tt>.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "New Point:"
    body: <tt>(x + w, y - h)</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "Subpath:"
    body: Current
  type: :NOTE
full_name: PDF::Writer::Graphics#rectangle
is_singleton: false
name: rectangle
params: (x, y, w, h = w)
visibility: public
